### Hierarchy

- Writable
  - BufferStream

### Implements

- WritableStream

## Index

### Constructors

- constructor

### Properties

- writable
- writableHighWaterMark
- writableLength
- defaultMaxListeners

### Accessors

- Buffer

### Methods

- _destroy
- _final
- _write
- _writev
- addListener
- cork
- destroy
- emit
- end
- eventNames
- getMaxListeners
- listenerCount
- listeners
- off
- on
- once
- pipe
- prependListener
- prependOnceListener
- rawListeners
- removeAllListeners
- removeListener
- setDefaultEncoding
- setMaxListeners
- uncork
- write
- listenerCount

## Constructors

### constructor

- new BufferStream(): BufferStream

- Overrides Writable.__constructor

  - Defined in export/packer/buffer-stream.ts:4

  #### Returns BufferStream

## Properties

### writable

writable: boolean

Inherited from Writable.writable

- Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6075

### writableHighWaterMark

writableHighWaterMark: number

Inherited from Writable.writableHighWaterMark

- Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6076

### writableLength

writableLength: number

Inherited from Writable.writableLength

- Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6077

### Static defaultMaxListeners

defaultMaxListeners: number

Inherited from EventEmitter.defaultMaxListeners

- Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:1024

## Accessors

### Buffer

- get Buffer(): Buffer

- - Defined in export/packer/buffer-stream.ts:25

  #### Returns Buffer

## Methods

### _destroy

- _destroy(error: Error | null, callback: function): void

- Inherited from Writable._destroy

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6081

  #### Parameters

  - ##### error: Error | null

  - ##### callback: function

    - - (error?: Error): void

      - #### Parameters

        - ##### Optional error: Error

        #### Returns void

### _final

- _final(callback: Function): void

- Inherited from Writable._final

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6082

  #### Parameters

  - ##### callback: Function

  #### Returns void

### _write

- _write(chunk: any, encoding: string, next: function): void

- Overrides Writable._write

  - Defined in export/packer/buffer-stream.ts:13

  #### Parameters

  - ##### chunk: any

  - ##### encoding: string

  - ##### next: function

    - - (err?: Error): void

      - #### Parameters

        - ##### Optional err: Error

        #### Returns void

### Optional _writev

- _writev(chunks: Array<object>, callback: function): void

- Inherited from Writable._writev

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6080

  #### Parameters

  - ##### chunks: Array<object>

  - ##### callback: function

    - - (err?: Error): void

      - #### Parameters

        - ##### Optional err: Error

        #### Returns void

### addListener

- addListener(event: string, listener: function): this
- addListener(event: "close", listener: function): this
- addListener(event: "drain", listener: function): this
- addListener(event: "error", listener: function): this
- addListener(event: "finish", listener: function): this
- addListener(event: "pipe", listener: function): this
- addListener(event: "unpipe", listener: function): this

- Inherited from Writable.addListener

  Overrides EventEmitter.addListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6103

  Event emitter The defined events on documents including:

  1. close
  2. drain
  3. error
  4. finish
  5. pipe
  6. unpipe

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Inherited from Writable.addListener

  Overrides EventEmitter.addListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6104

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.addListener

  Overrides EventEmitter.addListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6105

  #### Parameters

  - ##### event: "drain"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.addListener

  Overrides EventEmitter.addListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6106

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Writable.addListener

  Overrides EventEmitter.addListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6107

  #### Parameters

  - ##### event: "finish"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.addListener

  Overrides EventEmitter.addListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6108

  #### Parameters

  - ##### event: "pipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

- Inherited from Writable.addListener

  Overrides EventEmitter.addListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6109

  #### Parameters

  - ##### event: "unpipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

### cork

- cork(): void

- Inherited from Writable.cork

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6089

  #### Returns void

### destroy

- destroy(error?: Error): void

- Inherited from Writable.destroy

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6091

  #### Parameters

  - ##### Optional error: Error

  #### Returns void

### emit

- emit(event: string | symbol, ...args: any[]): boolean
- emit(event: "close"): boolean
- emit(event: "drain", chunk: Buffer | string): boolean
- emit(event: "error", err: Error): boolean
- emit(event: "finish"): boolean
- emit(event: "pipe", src: Readable): boolean
- emit(event: "unpipe", src: Readable): boolean

- Inherited from Writable.emit

  Overrides EventEmitter.emit

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6111

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

- Inherited from Writable.emit

  Overrides EventEmitter.emit

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6112

  #### Parameters

  - ##### event: "close"

  #### Returns boolean

- Inherited from Writable.emit

  Overrides EventEmitter.emit

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6113

  #### Parameters

  - ##### event: "drain"

  - ##### chunk: Buffer | string

  #### Returns boolean

- Inherited from Writable.emit

  Overrides EventEmitter.emit

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6114

  #### Parameters

  - ##### event: "error"

  - ##### err: Error

  #### Returns boolean

- Inherited from Writable.emit

  Overrides EventEmitter.emit

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6115

  #### Parameters

  - ##### event: "finish"

  #### Returns boolean

- Inherited from Writable.emit

  Overrides EventEmitter.emit

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6116

  #### Parameters

  - ##### event: "pipe"

  - ##### src: Readable

  #### Returns boolean

- Inherited from Writable.emit

  Overrides EventEmitter.emit

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6117

  #### Parameters

  - ##### event: "unpipe"

  - ##### src: Readable

  #### Returns boolean

### end

- end(cb?: Function): void

- Overrides Writable.end

  - Defined in export/packer/buffer-stream.ts:19

  #### Parameters

  - ##### Optional cb: Function

  #### Returns void

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  Overrides EventEmitter.eventNames

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:1039

  #### Returns Array<string | symbol>

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  Overrides EventEmitter.getMaxListeners

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:1035

  #### Returns number

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  Overrides EventEmitter.listenerCount

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:1040

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  Overrides EventEmitter.listeners

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:1036

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  Overrides EventEmitter.off

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:1032

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: string, listener: function): this
- on(event: "close", listener: function): this
- on(event: "drain", listener: function): this
- on(event: "error", listener: function): this
- on(event: "finish", listener: function): this
- on(event: "pipe", listener: function): this
- on(event: "unpipe", listener: function): this

- Inherited from Writable.on

  Overrides EventEmitter.on

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6119

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Inherited from Writable.on

  Overrides EventEmitter.on

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6120

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.on

  Overrides EventEmitter.on

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6121

  #### Parameters

  - ##### event: "drain"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.on

  Overrides EventEmitter.on

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6122

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Writable.on

  Overrides EventEmitter.on

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6123

  #### Parameters

  - ##### event: "finish"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.on

  Overrides EventEmitter.on

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6124

  #### Parameters

  - ##### event: "pipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

- Inherited from Writable.on

  Overrides EventEmitter.on

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6125

  #### Parameters

  - ##### event: "unpipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

### once

- once(event: string, listener: function): this
- once(event: "close", listener: function): this
- once(event: "drain", listener: function): this
- once(event: "error", listener: function): this
- once(event: "finish", listener: function): this
- once(event: "pipe", listener: function): this
- once(event: "unpipe", listener: function): this

- Inherited from Writable.once

  Overrides EventEmitter.once

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6127

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Inherited from Writable.once

  Overrides EventEmitter.once

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6128

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.once

  Overrides EventEmitter.once

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6129

  #### Parameters

  - ##### event: "drain"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.once

  Overrides EventEmitter.once

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6130

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Writable.once

  Overrides EventEmitter.once

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6131

  #### Parameters

  - ##### event: "finish"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.once

  Overrides EventEmitter.once

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6132

  #### Parameters

  - ##### event: "pipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

- Inherited from Writable.once

  Overrides EventEmitter.once

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6133

  #### Parameters

  - ##### event: "unpipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

### pipe

- pipe<T>(destination: T, options?: undefined | object): T

- Inherited from internal.pipe

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:5971

  #### Type parameters

  - #### T: WritableStream

  #### Parameters

  - ##### destination: T

  - ##### Optional options: undefined | object

  #### Returns T

### prependListener

- prependListener(event: string, listener: function): this
- prependListener(event: "close", listener: function): this
- prependListener(event: "drain", listener: function): this
- prependListener(event: "error", listener: function): this
- prependListener(event: "finish", listener: function): this
- prependListener(event: "pipe", listener: function): this
- prependListener(event: "unpipe", listener: function): this

- Inherited from Writable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6135

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Inherited from Writable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6136

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6137

  #### Parameters

  - ##### event: "drain"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6138

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Writable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6139

  #### Parameters

  - ##### event: "finish"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6140

  #### Parameters

  - ##### event: "pipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

- Inherited from Writable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6141

  #### Parameters

  - ##### event: "unpipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: string, listener: function): this
- prependOnceListener(event: "close", listener: function): this
- prependOnceListener(event: "drain", listener: function): this
- prependOnceListener(event: "error", listener: function): this
- prependOnceListener(event: "finish", listener: function): this
- prependOnceListener(event: "pipe", listener: function): this
- prependOnceListener(event: "unpipe", listener: function): this

- Inherited from Writable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6143

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Inherited from Writable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6144

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6145

  #### Parameters

  - ##### event: "drain"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6146

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Writable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6147

  #### Parameters

  - ##### event: "finish"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6148

  #### Parameters

  - ##### event: "pipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

- Inherited from Writable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6149

  #### Parameters

  - ##### event: "unpipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  Overrides EventEmitter.rawListeners

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:1037

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  Overrides EventEmitter.removeAllListeners

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:1033

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: string, listener: function): this
- removeListener(event: "close", listener: function): this
- removeListener(event: "drain", listener: function): this
- removeListener(event: "error", listener: function): this
- removeListener(event: "finish", listener: function): this
- removeListener(event: "pipe", listener: function): this
- removeListener(event: "unpipe", listener: function): this

- Inherited from Writable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6151

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Inherited from Writable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6152

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6153

  #### Parameters

  - ##### event: "drain"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6154

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Writable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6155

  #### Parameters

  - ##### event: "finish"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Writable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6156

  #### Parameters

  - ##### event: "pipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

- Inherited from Writable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6157

  #### Parameters

  - ##### event: "unpipe"

  - ##### listener: function

    - - (src: Readable): void

      - #### Parameters

        - ##### src: Readable

        #### Returns void

  #### Returns this

### setDefaultEncoding

- setDefaultEncoding(encoding: string): this

- Inherited from Writable.setDefaultEncoding

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6085

  #### Parameters

  - ##### encoding: string

  #### Returns this

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  Overrides EventEmitter.setMaxListeners

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:1034

  #### Parameters

  - ##### n: number

  #### Returns this

### uncork

- uncork(): void

- Inherited from Writable.uncork

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6090

  #### Returns void

### write

- write(chunk: any, cb?: Function): boolean
- write(chunk: any, encoding?: undefined | string, cb?: Function): boolean

- Inherited from Writable.write

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6083

  #### Parameters

  - ##### chunk: any

  - ##### Optional cb: Function

  #### Returns boolean

- Inherited from Writable.write

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:6084

  #### Parameters

  - ##### chunk: any

  - ##### Optional encoding: undefined | string

  - ##### Optional cb: Function

  #### Returns boolean

### Static listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/node/index.d.ts:1023
  deprecated

    since v4.0.0

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

Generated using TypeDoc